--
-- Sprayer_support
-- Specialization for Hooklift
-- Spezialisierung fr Hakenlift
-- @Anpassung  Werkstattleiter
--
-- edit 25/05/2013
-- edit 25/11/2015
-- xml
-- <attacherJoint index="0>2|0|2" jointType="Sprayer_support" maxRotLimit="0 0 0"  allowsJointLimitMovement="true"/>

Sprayer_support = {};

function Sprayer_support.prerequisitesPresent(specializations)
    Vehicle.registerJointType("Sprayer_support");
	print("register joint type: Sprayer_support");
	return true;
end;

function Sprayer_support:load(xmlFile)

	self.isSelectable = true;
	
	
	self.attacherJoints[1].jointType = Vehicle.JOINTTYPE_SPRAYER_SUPPORT;
	
end;

function Sprayer_support:delete()
end;

function Sprayer_support:readStream(streamId, connection)

end;

function Sprayer_support:writeStream(streamId, connection)

end;

function Sprayer_support:mouseEvent(posX, posY, isDown, isUp, button)

end;

function Sprayer_support:keyEvent(unicode, sym, modifier, isDown)

end;

function Sprayer_support:update(dt)
	
	
	
	setJointFrame(self.attacherJoints[1].jointIndex, 0, self.attacherJoints[1].jointTransform);
	local jointDesc = self.attacherJoints[1];

	setJointRotationLimit(jointDesc.jointIndex, 0, true, Utils.degToRad(-0), Utils.degToRad(0));
	
end;
		

function Sprayer_support:updateTick(dt)


end;



function Sprayer_support:onAttach(attacherVehicle)
	self.attacherVehicle = attacherVehicle;
	if self.attacherVehicleCopy == nil then
		self.attacherVehicleCopy = self.attacherVehicle;
	end;

end;

function Sprayer_support:onDetach()
	if self.deactivateOnDetach then
        self:onDeactivate(self);
    else
        self:onDeactivateSounds(self);
    end;
	for k, steerable in pairs(g_currentMission.steerables) do
		if self.attacherVehicleCopy == steerable then
		
			self.attacherVehicleCopy = nil;
		end;
	end;
end;

function Sprayer_support:draw()
	

	
end;

function Sprayer_support:validateAttacherJoint(Sprayer_support, jointDesc, dt)
    return true;
end;